@echo off

:: BatchGotAdmin (Run as Admin code starts)
REM --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"
REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
echo Requesting administrative privileges...
goto UACPrompt
) else ( goto gotAdmin )
:UACPrompt
echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"
"%temp%\getadmin.vbs"
exit /B
:gotAdmin
if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
pushd "%CD%"
CD /D "%~dp0"
:: BatchGotAdmin (Run as Admin code ends)
:: Your codes should start from the following line

ECHO.
ECHO ======================================================
ECHO ### Read ALC4030 Version ###
ECHO ======================================================

goto r0

:r0
FWupdate.exe /PID_4030 /VID_0BDA -Ver
if  %errorlevel% NEQ '1' (
goto r2
) else ( goto r1 )

:r2
FWupdate.exe /PID_493B /VID_0BDA -Ver
goto r1

:r1
echo.
echo ======================================================
echo ### Read ALC4030 Version End ###
echo ======================================================
REM pause